Get the current usage-limit status for a customer

Requires the USAGE_LIMIT.VIEW permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

customer_idstringRequired

The resource id of the customer to report usage-limit status for.

include_childrenbooleanOptional

Whether to also report the status of each direct sub-customer.

Response

OK
datalist of objects or nullOptionalRead-only

The per-metric usage-limit status entries.

period_startstring or nullOptionalRead-only
The start of the billing period the consumed values are measured over.
period_endstring or nullOptionalRead-only
The end of the billing period the consumed values are measured over.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error